# python/hash.h File Reference

Go to the source code of this file.

## Data Structures

struct | ht_iterator

## Typedefs

typedef struct hash_table * | hashTable
typedef struct ht_iterator | htIterator

## Functions

struct hash_table * | htNewTable (int size)
void | htFreeHashTable (struct hash_table *ht)
void | htHashStats (const struct hash_table *t)
int | htInTable (struct hash_table *t, const char *dir, const char *base)
void | htAddToTable (struct hash_table *t, const char *dir, const char *base)
void | htPrintHashStats (struct hash_table *t)
int | htNumEntries (struct hash_table *t)
void | htRemoveFromTable (struct hash_table *t, const char *dir, const char *base)
void | htIterStart (htIterator *iter)
int | htIterGetNext (struct hash_table *t, htIterator *iter, const char **dir, const char **base)

## Detailed Description

Definition in file hash.h.

## Typedef Documentation

typedef struct hash_table* hashTable

Definition at line 9 of file hash.h.

typedef struct ht_iterator htIterator

Definition at line 16 of file hash.h.

## Function Documentation

void htAddToTable | ( | struct hash_table * | t,
|  | const char * | dir,
|  | const char * | base |
| ) |  |  |

Definition at line 133 of file hash.c.

void htFreeHashTable | ( | struct hash_table * | ht | ) |

Definition at line 53 of file hash.c.

void htHashStats | ( | const struct hash_table * | t | ) |

Definition at line 71 of file hash.c.

int htInTable | ( | struct hash_table * | t,
|  | const char * | dir,
|  | const char * | base |
| ) |  |  |

Definition at line 122 of file hash.c.

int htIterGetNext | ( | struct hash_table * | t,
|  | htIterator * | iter,
|  | const char ** | dir,
|  | const char ** | base |
| ) |  |  |

Definition at line 185 of file hash.c.

void htIterStart | ( | htIterator * | iter | ) |

Definition at line 180 of file hash.c.

struct hash_table* htNewTable | ( | int | size | ) | `[read]`

Definition at line 32 of file hash.c.

int htNumEntries | ( | struct hash_table * | t | ) |

Definition at line 176 of file hash.c.

void htPrintHashStats | ( | struct hash_table * | t | ) |

void htRemoveFromTable | ( | struct hash_table * | t,
|  | const char * | dir,
|  | const char * | base |
| ) |  |  |

Definition at line 158 of file hash.c.